### Method

# RB RhythmDB query_append_prop_multiple

#### Declaration [src]

    void
    rhythmdb_query_append_prop_multiple (
      RhythmDB* db,
      RhythmDBQuery* query,
      RhythmDBPropType propid,
      GList* items
    )

#### Description [src]

Appends a set of criteria to a query to match against any of the values listed in `items`.

#### Parameters

`query`

  Type: `RhythmDBQuery`

  The query to append to.

  The data is owned by the caller of the method.

`propid`

  Type: `RhythmDBPropType`

  Property ID to match.

`items`

  Type: A list of `const GValue*`

  `GList` of values to match against.

  The data is owned by the caller of the method.